Search Locations
1 min
POST
https://api.upstartcommerce.com/v1/location/search
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject<p>The location search to run: query, filters, ordering and pagination.</p>
200<p>Success-results of the location search and search-related meta-data returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/location/search \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"filter": {
"and": {
"or": {
"not": {}
},
"not": {}
},
"or": {
"not": {}
},
"not": {}
},
"page": "",
"pageSize": "",
"orders": [
{
"property": "",
"asc": true
}
]
}'